<?php
if ( ! defined( 'WPINC' ) ) die;

global $wpdb;
$id = isset( $_REQUEST['id'] ) ? absint($_REQUEST['id']) : '';
$form = isset( $_REQUEST['form'] ) && !empty( $_REQUEST['form'] ) ? '&form=' . absint($_REQUEST['form']) : '';
$pagenum = isset( $_REQUEST['paged'] ) && !empty( $_REQUEST['paged'] ) ? '&paged=' . absint($_REQUEST['paged']) : '';
$orderby = (isset($_REQUEST['orderby']) && in_array($_REQUEST['orderby'], array('subject', 'email', 'date'))) ? '&orderby=' . $_REQUEST['orderby'] : ''; 
$order = (isset($_REQUEST['order']) && in_array($_REQUEST['order'], array('asc', 'desc'))) ? '&order=' . $_REQUEST['order'] : '';
$date = isset ( $_REQUEST['date'] ) && !empty( $_REQUEST['date'] ) ? '&date=' . sanitize_text_field($_REQUEST['date']) : '';
$search_key = isset( $_REQUEST['s'] ) && !empty( $_REQUEST['s'] ) ? '&s=' . sanitize_text_field($_REQUEST['s']) : '';
$view = isset( $_REQUEST['view'] ) && !empty( $_REQUEST['view'] ) ? '&view=' . sanitize_text_field($_REQUEST['view']) : '&view=inbox';
$back_link = get_admin_url(get_current_blog_id(), 'admin.php?page=sform-submissions') .$form.$view.$pagenum.$order.$orderby.$date.$search_key;
if (!empty($id)) { 
	$item = $wpdb->get_row($wpdb->prepare("SELECT * FROM {$wpdb->prefix}sform_submissions WHERE id = %d", $id), ARRAY_A);
    if ( $item['status'] == 'new') {
	$wpdb->query( $wpdb->prepare("UPDATE {$wpdb->prefix}sform_submissions SET status = 'read' WHERE id = %d", $id) );   
    }
}
add_meta_box('sform_entrie_meta_box', __('Message ID', 'simpleform-contact-form-submissions').': ' . $id, array ($this, 'sform_entrie_meta_box_handler'), 'view_sform_entrie', 'normal', 'default');
?>
<div class="wrap"><h1 class="backend2"><span class="dashicons dashicons-buddicons-pm"></span><?php esc_html_e( 'Submitted Message', 'simpleform-contact-form-submissions' );?>
<span class="backlist"><a class="return-list" href="<?php echo esc_url($back_link) ?>">
<?php _e('Back to Submissions list', 'simpleform-contact-form-submissions')?></a></span></h1>  
<input type="hidden" name="id" value="<?php echo esc_attr($item['id']) ?>"/><div class="metabox-holder" id="poststuff"><div id="post-body"><div id="post-body-content">
<?php do_meta_boxes('view_sform_entrie', 'normal', $item); ?></div></div></div></div>